delivery(8gx)

Name
delivery — Backend for local delivery

Synopsis
delivery [-c config]

Options

-c config
    Read configuration directives from the given file. If this option is not specified, /etc/gromox/delivery.cfg will be read if it exists.

-?  Display option summary.

All time-based command-line options and configuration file directives are subject to the syntax described in gromox(7), section "Duration specifications".

Plugins
The delivery daemon can be extended by a number of plugins. In Gromox, their filenames begin with libmtahook_.

Configuration directives (gromox.cfg)
The following directives are recognized when reading from /etc/gromox/gromox.cfg, or when the -c option is used to specify a custom file:

daemons_fd_limit
    In gromox-delivery, this is treated as an alias for lda_fd_limit.

lda_fd_limit
    Request that the file descriptor table be at least this large. The magic value 0 indicates that the system default hard limit (rlim_max, cf. setrlimit(2)) should be used.
    Default: 0

Configuration directives (delivery.cfg)
The following directives are recognized when reading from /etc/gromox/delivery.cfg, or when the -c option is used to specify a custom file:

admin_mailbox
    An e-mail address where to send reports from the "net_failure" code component.
    Default: (empty)

config_file_path
    Colon-separated list of directories in which further configuration files, especially those used by plugin instances, will be searched.
    Default: /etc/gromox/delivery:/etc/gromox

data_file_path
    Colon-separated list of directories in which static data files will be searched.
    Default: /usr/share/gromox/delivery

dequeue_max_mem
    Default: 1024M

dequeue_path
    Default: /var/lib/gromox/queue

free_context_num
    Default: 512

host_id
    A unique identifier for this system. It is used for the DSN text of bounce messages. It is used as the value for the EHLO command if and when connecting to an SMTP service (e.g. inbox rules that do forwarding).
    Default: (system hostname)

lda_log_file
    Target for log messages here. Special values: "-" (stderr/syslog depending on parent PID) or "syslog" are recognized.
    Default: - (auto)

lda_log_level
    Maximum verbosity of logging. 1=crit, 2=error, 3=warn, 4=notice, 5=info, 6=debug.
    Default: 4 (notice)

running_identity
    An unprivileged user account to switch the process to after startup.
    Default: gromox

state_path
    Directory for runtime variadic data.
    Default: /var/lib/gromox

work_threads_max
    The number of threads that gromox-delivery may spawn to process incoming messages. This number must be less-or-equal to the exmdb_local(4) exmdb_connection_num directive to avoid rejection of messages in a message storm.
    Default: 5

work_threads_min
    Default: 1

Files

•   /usr/lib/gromox/libgxm_*.so: hook plugins

•   /usr/lib/gromox/libgxs_*.so: service plugins

See also
gromox(7)